<?php

namespace Drupal\psn_public_trophies\Component;

use PSNPublicTrophiesLib\PSNPublicTrophies;

/**
 * Provides methods for generating path aliases.
 */
class DrupalPSNPublicTrophies {
	private $psn_id;
	private $psn_public_trophies;

	public function __construct($psn_id) {
		$this->psn_id = $psn_id;
		$this->psn_public_trophies = new PSNPublicTrophies($psn_id);
	}

	public function getProfile() {
		if ($data = $this->psn_public_trophies->getProfile()) {
			if ($data->status_message == 'OK') {
				return $data->data;
			}
		}
		return FALSE;
	}

	public function getTrophies() {
		if ($data = $this->psn_public_trophies->getTrophies()) {
			if ($data->status_message == 'OK') {
				return $data->data;
			}
		}
		return FALSE;
	}
}